org.eclipse.wst.jsdt.chromium.debug.ui.liveedit

## Class LiveEditResultDialog

- java.lang.Object
- - Dialog
  - - org.eclipse.wst.jsdt.chromium.debug.ui.liveedit.LiveEditResultDialog

    public class LiveEditResultDialog
    extends Dialog

A dialog that shows LiveEdit update results.

### Nested Class Summary

Nested Classes
`static interface` `LiveEditResultDialog.ErrorPositionHighlighter` Allows dialog to highlight error in source text (presumably, in text editor).
`static interface` `LiveEditResultDialog.Input` A dialog input.
`static interface` `LiveEditResultDialog.InputVisitor<RES>`
`static interface` `LiveEditResultDialog.MultipleResult`
`static interface` `LiveEditResultDialog.OldScriptData`
`static interface` `LiveEditResultDialog.SingleInput` A specialized type of dialog input: one that associated with a particular VM.
`static interface` `LiveEditResultDialog.SingleInputVisitor<RES>`
`static interface` `LiveEditResultDialog.SuccessResult`

### Constructor Summary

Constructors
Constructor and Description
`LiveEditResultDialog(Shell shell, LiveEditResultDialog.Input input, LiveEditResultDialog.ErrorPositionHighlighter positionHighlighter)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `configureShell(Shell shell)`
`protected void` `createButtonsForButtonBar(Composite parent)`
`protected Control` `createDialogArea(Composite parent)`
`static LiveEditResultDialog.SingleInput` `createTextInput(java.lang.String text, PushChangesPlan changesPlan)`
`static LiveEditResultDialog.SingleInput` `createTextInput(java.lang.String text, PushChangesPlan changesPlan, UpdatableScript.Failure failure)`
`protected boolean` `isResizable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LiveEditResultDialog

    public LiveEditResultDialog(Shell shell,
                                LiveEditResultDialog.Input input,
                                LiveEditResultDialog.ErrorPositionHighlighter positionHighlighter)

### Method Detail

#### createTextInput

    public static LiveEditResultDialog.SingleInput createTextInput(java.lang.String text,
                                                                   PushChangesPlan changesPlan)

#### createTextInput

    public static LiveEditResultDialog.SingleInput createTextInput(java.lang.String text,
                                                                   PushChangesPlan changesPlan,
                                                                   UpdatableScript.Failure failure)

#### isResizable

    protected boolean isResizable()

#### configureShell

    protected void configureShell(Shell shell)

#### createButtonsForButtonBar

    protected void createButtonsForButtonBar(Composite parent)

#### createDialogArea

    protected Control createDialogArea(Composite parent)